package com.sw.mes.yb.mcs.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.fls.dto.BindingDto;
import com.sw.mes.yb.mcs.dto.McsFbInventoryDto;
import com.sw.mes.yb.mcs.dto.McsSquareInventoryLogDto;
import com.sw.mes.yb.mcs.entity.DislocationInfo;
import com.sw.mes.yb.mcs.entity.McsSquareInventoryLog;

import java.util.List;


public interface McsSquareInventoryLogService extends BaseService<McsSquareInventoryLog> {
    McsSquareInventoryLog queryByCrystalNo(String crystalNo);

    McsSquareInventoryLog queryByCrystalNo(String crystalNo, String inventoryType);

    List<McsSquareInventoryLog> queryAllByCrystalNo(String crystalNo);

    int deleteByCrystalNoList(List<McsFbInventoryDto> fbInventoryDto);

    McsSquareInventoryLogDto queryMcsSquareLog(BindingDto bindingDto);

    int deleteByCrystalNo(String sectionNo);

    int deleteByCrystalNoAndInventoryType(String sectionNo, String inventoryType);

    List<McsSquareInventoryLog> queryByGroupId(String groupId);

    void updateInventoryType(String sectionNo, String newInventoryType,String oldInventoryType);
}
